/* FizzBuzz page styles */

@font-face {
  font-family: 'PetMe64';
  src: url('../assets/fonts/petme/PetMe64.woff') format('woff'),
       url('../assets/fonts/petme/PetMe64.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}

body {
  background-color: #352879;
}

.padding-15 {
  padding: 15px !important;
}

.section {
  position: relative;
  overflow: hidden;
  width: 100%;
  padding-top: 80px;
  padding-bottom: 110px;
  z-index: 1;
}

.sec-tcc {
  display: flex;
  margin-right: auto;
  margin-bottom: 27px;
  margin-left: auto;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.sec-tcc .fizz-rules-position {
  line-height: 1.2em;
}

.sec-fizz {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  border: 20px solid #6C5EB5;
}

.section.sec-fizz {
  padding: 0;
  margin: 40px auto;
}

.sec-fizz .container {
  display: block;
  max-width: none;
  padding: 0px;
  background-color: #352879;
  color: #6C5EB5;
}

/* https://www.pepto.de/projects/colorvic/ */
.sec-fizz.bg2 {
  background-color: #6C5EB5;
}

.sec-fizz .container li {
  margin-left: 3em;
}

.sec-fizz * {
  overflow-wrap: break-word;
  overflow-wrap: anywhere;
  word-break: normal;
  line-height: 1.2em;
}

.sec-fizz p.li {
  margin-left: 3em;
  text-indent: -3em;
}

.sec-fizz p.li2 {
  margin-left: 2em;
  text-indent: -2em;
}

.sec-fizz h2, .sec-fizz h3 {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  color: #9AD284;
}

.sec-fizz em {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  color: #B8C76F;
}

.sec-fizz em.black {
  color: #000;
}

.sec-fizz a {
  color: #ccf;
}

.sec-fizz code, .sec-fizz pre {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  color: #9A6759;
}

.sec-fizz pre {
  margin-left: 2em;
}

.sec-fizz pre.heading {
  margin-left: 0;
  color: #9AD284;
  font-family: 'PetMe64', 'Press Start 2P', monospace;
  font-size: 24px;
  white-space: pre;
}

.sec-fizz code.break {
  word-break: break-all;
}

.hh3 {
  font-family: 'PetMe64', 'Press Start 2P', sans-serif;
  font-size: 24px;
  line-height: 1.8em;
  margin-bottom: 20px;
}

.hh4 {
  font-family: 'PetMe64', 'Press Start 2P', sans-serif;
  font-size: 18px;
  line-height: 1.8em;
  margin-bottom: 20px;
}

.console {
  font-family: 'PetMe64', monospace;
  line-height: 1em;
}

.hh4.console {
  margin-bottom: 0px;
  margin-left: 50px;
}

@media screen and (max-width: 991px) {
  .sec-fizz {
    width: 98%;
    margin-left: auto;
    margin-right: auto;
    border: 5px solid #6C5EB5;
  }

  .hh3 {
    font-size: 12px;
  }

  .hh4 {
    font-size: 12px;
  }
}

@media screen and (max-width: 479px) {
  .sec-fizz .hh3 {
    font-size: 10px;
  }

  .sec-fizz .hh4 {
    font-size: 10px;
  }
}
